Subject: Re: What's cooking in git.git (May 2024, #05; Sat, 11)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 13 May 2024 09:55:37 +0200

On Mon, May 13, 2024 at 07:49:41AM +0200, Patrick Steinhardt wrote:
> On Sat, May 11, 2024 at 04:29:42PM -0700, Junio C Hamano wrote:
[snip]
> > * ps/reftable-write-options (2024-05-10) 11 commits
> >  - refs/reftable: allow configuring geometric factor
> >  - reftable: make the compaction factor configurable
> >  - refs/reftable: allow disabling writing the object index
> >  - refs/reftable: allow configuring restart interval
> >  - reftable: use `uint16_t` to track restart interval
> >  - refs/reftable: allow configuring block size
> >  - reftable/dump: support dumping a table's block structure
> >  - reftable/writer: improve error when passed an invalid block size
> >  - reftable/writer: drop static variable used to initialize strbuf
> >  - reftable: consistently pass write opts as value
> >  - reftable: consistently refer to `reftable_write_options` as `opts`
> > 
> >  The knobs to tweak how reftable files are written have been made
> >  available as configuration variables.
> > 
> >  Will merge to 'next'?
> >  source: <[email-masked]>
> 
> This one is ready from my point of view.

Ah, I only just now read your comments. I think overall this version is
good enough to land, but I also agree with your comments. I'll send a v2
in a bit.

Patrick